# Ferry: ADEME 🇫🇷

💡 **High-Level Description:**

ADEME, the French Agency for Ecological Transition, is renowned for its comprehensive methodologies addressing environmental issues, and its expertise extends to the carbon impact in multiple sectors. ADEME's approach towards carbon calculation in the ferry sector is emblematic of its broader commitment to a sustainable transport landscape. Recognizing that maritime transport plays a pivotal role in the global transportation matrix, the agency provides methodologies that allow for accurate measurement and eventual reduction of GHG emissions specific to ferries.

Within ferry transportation, ADEME's methodology takes into account the specific dynamics of maritime travel — such as fuel type, operational patterns, and varying capacities. This comprehensive approach helps stakeholders, including ferry operators and policymakers, to make informed decisions towards sustainable maritime transport. Moreover, it serves as an essential tool for meeting international emission reduction targets in the maritime sector.

### **Sample API Requests**

#### A. Without audit mode (for pre-booking/quotes)

```json
{
  "expand": ["items"],
  "items": [
    {
      "audit": false,
      "type": "ferry",
      "methodology": "ademe",
      "external_reference": "test_1",
      "number_of_travelers": 3,
      "origin": "Amsterdam, the Netherlands",
      "destination": "Rotterdam, the Netherlands",
      "number_of_cars": 1,
      "vessel_type": "night_ferry"
    }
  ]
}
```

#### B. With audit mode (for finalized/post-booking calculations)

```json
{
  "expand": ["items"],
  "audit_for": "<Auditable Entity ID>",
  "items": [
    {
      "audit": true,
      "type": "ferry",
      "methodology": "ademe",
      "external_reference": "test_1",
      "number_of_travelers": 3,
      "origin": "Amsterdam, the Netherlands",
      "destination": "Rotterdam, the Netherlands",
      "number_of_cars": 1,
      "vessel_type": "night_ferry"
    }
  ]
}
```

> **Note:** `audit_for` is optional. Provide when calculating on behalf of a specific Auditable entity; otherwise omit.

### **API Request Items**

* `"type"`: `"ferry"` (required)
* `"methodology"`: `"ADEME"` (required)
* `"external_reference"`: A unique identifier that helps you link the resulting emissions to the requested item. Especially useful if multiple items are requested since SQUAKE cannot guarantee to keep the same order. The maximum length is 128 characters.
* `"number_of_travelers"`: Minimum value is `1`. The default value is `1`.
* `"origin"`: SQUAKE will try to resolve the `origin`/`destination` regardless of its format. Ideally, for addresses use the Post standard, for airports use IATA/ICAO code (format: `^[A-Z]{3,4}$`, e.g., `"MUC"`), for other locations used in trade and transportation use UN/LOCODE codes (format: `^[A-Z]{2}\W?[A-Z2-9]{3}$`, e.g., `"DEHAM"`). You can also pass lat/long (format: `^[-+]?\d{1,3}\.\d{1,10}\s?,\s?[-+]?\d{1,3}\.\d{1,10}$`, e.g., `"+40.712,-74.006"`).
* `"destination"`: SQUAKE will try to resolve the `origin`/`destination` regardless of its format. Ideally, for addresses use the Post standard, for airports use IATA/ICAO code (format: `^[A-Z]{3,4}$`, e.g., `"MUC"`), for other locations used in trade and transportation use UN/LOCODE codes (format: `^[A-Z]{2}\W?[A-Z2-9]{3}$`, e.g., `"DEHAM"`). You can also pass lat/long (format: `^[-+]?\d{1,3}\.\d{1,10}\s?,\s?[-+]?\d{1,3}\.\d{1,10}$`, e.g., `"+40.712,-74.006"`).
* `"distance_in_km"`: Prioritized over `origin` and `destination`. If you don't have a `distance_in_km`, you can use `origin` and `destination`, and the distance will be automatically resolved. If you pass both `distance_in_km` and `origin`/`destination`, then `distance_in_km` will be used.
* `"vessel_type"`: Values are `night_ferry`, `day_ferry`, `ro_pax`, or `river_vessel`. The default value is `day_ferry`.
* **Default Values**
  * `"vessel_type": "day_ferry"`

### **Sample API Response**

```json
{
    "carbon_quantity": 12015,
    "carbon_unit": "gram",
    "items": [
        {
            "carbon_quantity": 12015,
            "carbon_unit": "gram",
            "external_reference": "test_1",
            "type": "ferry",
            "methodology": "ADEME",
            "distance": 680.0,
            "distance_unit": "kilometer"
        }
    ]
}
```

### **Bibliography**

* GHG information for transport services (2019, June). Ministère de La Transition Écologique et Solidaire. Retrieved from <https://www.ecologie.gouv.fr/sites/default/files/Information\\_GES%20-%202019.pdf>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-integration.squake.earth/api-calculations-request-response/travel/ferry/ferry-ademe.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
